Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class DataScrollerRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.html.DataScrollerRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  DatascrollerTemplate

    public class DataScrollerRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`DataScrollerRenderer()`

Method Summary
`void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()`
`ControlsState` | `getControlsState(javax.faces.context.FacesContext context, UIDatascroller datascroller, javax.faces.component.UIData dataTable)`
`java.lang.String` | `getOnClick(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`
`protected java.util.Map` | `getParameters(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()` Creates HtmlAjaxCommandLink sets its id, value and reRender and UIParameter
`protected boolean` | `isRenderedOnSinglePage(UIDatascroller scroller, javax.faces.component.UIData dataTable)`
`void` | `renderPager(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.component.UIData data)`
`void` | `renderPages(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.component.UIData data)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataScrollerRenderer

    public DataScrollerRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### isRenderedOnSinglePage

    protected boolean isRenderedOnSinglePage(UIDatascroller scroller,
                                             javax.faces.component.UIData dataTable)

### doDecode

    public void doDecode(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### getControlsState

    public ControlsState getControlsState(javax.faces.context.FacesContext context,
                                          UIDatascroller datascroller,
                                          javax.faces.component.UIData dataTable)

### renderPager

    public void renderPager(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component,
                            javax.faces.component.UIData data)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderPages

    public void renderPages(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component,
                            javax.faces.component.UIData data)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getParameters

    protected java.util.Map getParameters(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)

### getOnClick

    public java.lang.String getOnClick(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component,
                                       java.lang.String value)

### getRendersChildren

    public boolean getRendersChildren()

  Creates HtmlAjaxCommandLink sets its id, value and reRender and UIParameter

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.